/[autoconf]/autoconf/configure
ViewVC logotype

Diff of /autoconf/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.207 by akim, Wed Apr 10 15:58:19 2002 UTC revision 1.208 by akim, Mon Apr 22 13:27:31 2002 UTC
# Line 16  Line 16 
16  if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then  if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17    emulate sh    emulate sh
18    NULLCMD=:    NULLCMD=:
19    # Zsh performs word splitting on ${1+"$@"}, which is contrary to    # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20    # our usage.  Disable this feature.    # is contrary to our usage.  Disable this feature.
21    alias -g '${1+"$@"}'='"$@"'    alias -g '${1+"$@"}'='"$@"'
22  elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then  elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23    set -o posix    set -o posix
# Line 84  echo X/"$0" | Line 84  echo X/"$0" |
84            s/.*/./; q'`            s/.*/./; q'`
85    
86    
87    # PATH needs CR, and LINENO needs CR and PATH.
88    # Avoid depending upon Character Ranges.
89    as_cr_letters='abcdefghijklmnopqrstuvwxyz'
90    as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
91    as_cr_Letters=$as_cr_letters$as_cr_LETTERS
92    as_cr_digits='0123456789'
93    as_cr_alnum=$as_cr_Letters$as_cr_digits
94    
95  # The user is always right.  # The user is always right.
96  if test "${PATH_SEPARATOR+set}" != set; then  if test "${PATH_SEPARATOR+set}" != set; then
97    echo "#! /bin/sh" >conftest.sh    echo "#! /bin/sh" >conftest.sh
# Line 97  if test "${PATH_SEPARATOR+set}" != set; Line 105  if test "${PATH_SEPARATOR+set}" != set;
105    rm -f conftest.sh    rm -f conftest.sh
106  fi  fi
107    
108    
109      as_lineno_1=$LINENO
110      as_lineno_2=$LINENO
111      as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
112      test "x$as_lineno_1" != "x$as_lineno_2" &&
113      test "x$as_lineno_3"  = "x$as_lineno_2"  || {
114      # Find who we are.  Look in the path if we contain no path at all
115      # relative or not.
116      case $0 in
117        *[\\/]* ) as_myself=$0 ;;
118        *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
119    for as_dir in $PATH
120    do
121      IFS=$as_save_IFS
122      test -z "$as_dir" && as_dir=.
123      test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
124    done
125    
126           ;;
127      esac
128      # We did not find ourselves, most probably we were run as `sh COMMAND'
129      # in which case we are not to be found in the path.
130      if test "x$as_myself" = x; then
131        as_myself=$0
132      fi
133      if test ! -f "$as_myself"; then
134        { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
135       { (exit 1); exit 1; }; }
136      fi
137      case $CONFIG_SHELL in
138      '')
139        as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
140    for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
141    do
142      IFS=$as_save_IFS
143      test -z "$as_dir" && as_dir=.
144      for as_base in sh bash ksh sh5; do
145             case $as_dir in
146             /*)
147               if ("$as_dir/$as_base" -c '
148      as_lineno_1=$LINENO
149      as_lineno_2=$LINENO
150      as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
151      test "x$as_lineno_1" != "x$as_lineno_2" &&
152      test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
153                 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
154                 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
155                 CONFIG_SHELL=$as_dir/$as_base
156                 export CONFIG_SHELL
157                 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
158               fi;;
159             esac
160           done
161    done
162    ;;
163      esac
164    
165      # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
166      # uniformly replaced by the line number.  The first 'sed' inserts a
167      # line-number line before each line; the second 'sed' does the real
168      # work.  The second script uses 'N' to pair each line-number line
169      # with the numbered line, and appends trailing '-' during
170      # substitution so that $LINENO is not a special case at line end.
171      # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
172      # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
173      sed '=' <$as_myself |
174        sed '
175          N
176          s,$,-,
177          : loop
178          s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
179          t loop
180          s,-$,,
181          s,^['$as_cr_digits']*\n,,
182        ' >$as_me.lineno &&
183      chmod +x $as_me.lineno ||
184        { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
185       { (exit 1); exit 1; }; }
186    
187      # Don't try to exec as it changes $[0], causing all sort of problems
188      # (the dirname of $[0] is not the place where we might find the
189      # original and so on.  Autoconf is especially sensible to this).
190      . ./$as_me.lineno
191      # Exit status is that of the last command.
192      exit
193    }
194    
195    
196  case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in  case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
197    *c*,-n*) ECHO_N= ECHO_C='    *c*,-n*) ECHO_N= ECHO_C='
198  ' ECHO_T='      ' ;;  ' ECHO_T='      ' ;;
# Line 104  case `echo "testing\c"; echo 1,2,3`,`ech Line 200  case `echo "testing\c"; echo 1,2,3`,`ech
200    *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;    *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
201  esac  esac
202    
203    if expr a : '\(a\)' >/dev/null 2>&1; then
204      as_expr=expr
205    else
206      as_expr=false
207    fi
208    
209    rm -f conf$$ conf$$.exe conf$$.file
210    echo >conf$$.file
211    if ln -s conf$$.file conf$$ 2>/dev/null; then
212      # We could just check for DJGPP; but this test a) works b) is more generic
213      # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
214      if test -f conf$$.exe; then
215        # Don't use ln at all; we don't have any links
216        as_ln_s='cp -p'
217      else
218        as_ln_s='ln -s'
219      fi
220    elif ln conf$$.file conf$$ 2>/dev/null; then
221      as_ln_s=ln
222    else
223      as_ln_s='cp -p'
224    fi
225    rm -f conf$$ conf$$.exe conf$$.file
226    
227    if mkdir -p . 2>/dev/null; then
228      as_mkdir_p=:
229    else
230      as_mkdir_p=false
231    fi
232    
233  as_executable_p="test -f"  as_executable_p="test -f"
234    
235    # Sed expression to map a string onto a valid CPP name.
236    as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
237    
238    # Sed expression to map a string onto a valid variable name.
239    as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
240    
241    
242    # IFS
243    # We need space, tab and new line, in precisely that order.
244    as_nl='
245    '
246    IFS="   $as_nl"
247    
248    # CDPATH.
249    $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
250    
251    
252  # Name of the host.  # Name of the host.
253  # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,  # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
# Line 689  esac Line 831  esac
831  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
832  # absolute.  # absolute.
833  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
834  ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`  ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
835  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
836  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
837    
# Line 1010  ac_compiler_gnu=$ac_cv_c_compiler_gnu Line 1152  ac_compiler_gnu=$ac_cv_c_compiler_gnu
1152    
1153    
1154    
1155    
1156  ac_aux_dir=  ac_aux_dir=
1157  for ac_dir in config $srcdir/config; do  for ac_dir in config $srcdir/config; do
1158    if test -f $ac_dir/install-sh; then    if test -f $ac_dir/install-sh; then
# Line 1734  cat >confcache <<\_ACEOF Line 1877  cat >confcache <<\_ACEOF
1877  # config.status only pays attention to the cache file if you give it  # config.status only pays attention to the cache file if you give it
1878  # the --recheck option to rerun configure.  # the --recheck option to rerun configure.
1879  #  #
1880  # `ac_cv_env_foo' variables (set or unset) will be overriden when  # `ac_cv_env_foo' variables (set or unset) will be overridden when
1881  # loading this file, other *unset* `ac_cv_foo' will be assigned the  # loading this file, other *unset* `ac_cv_foo' will be assigned the
1882  # following values.  # following values.
1883    
# Line 1857  cat >>$CONFIG_STATUS <<\_ACEOF Line 2000  cat >>$CONFIG_STATUS <<\_ACEOF
2000  if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then  if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
2001    emulate sh    emulate sh
2002    NULLCMD=:    NULLCMD=:
2003    # Zsh performs word splitting on ${1+"$@"}, which is contrary to    # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
2004    # our usage.  Disable this feature.    # is contrary to our usage.  Disable this feature.
2005    alias -g '${1+"$@"}'='"$@"'    alias -g '${1+"$@"}'='"$@"'
2006  elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then  elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
2007    set -o posix    set -o posix
# Line 2184  do Line 2327  do
2327    --*=*)    --*=*)
2328      ac_option=`expr "x$1" : 'x\([^=]*\)='`      ac_option=`expr "x$1" : 'x\([^=]*\)='`
2329      ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`      ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
2330      shift      ac_shift=:
2331      set dummy "$ac_option" "$ac_optarg" ${1+"$@"}      ;;
2332      shift    -*)
2333        ac_option=$1
2334        ac_optarg=$2
2335        ac_shift=shift
2336      ;;      ;;
   -*);;  
2337    *) # This is not an option, so the user has probably given explicit    *) # This is not an option, so the user has probably given explicit
2338       # arguments.       # arguments.
2339         ac_option=$1
2340       ac_need_defaults=false;;       ac_need_defaults=false;;
2341    esac    esac
2342    
2343    case $1 in    case $ac_option in
2344    # Handling of the options.    # Handling of the options.
2345  _ACEOF  _ACEOF
2346  cat >>$CONFIG_STATUS <<_ACEOF  cat >>$CONFIG_STATUS <<_ACEOF
# Line 2217  Try \`$0 --help' for more information." Line 2363  Try \`$0 --help' for more information."
2363    --debug | --d* | -d )    --debug | --d* | -d )
2364      debug=: ;;      debug=: ;;
2365    --file | --fil | --fi | --f )    --file | --fil | --fi | --f )
2366      shift      $ac_shift
2367      CONFIG_FILES="$CONFIG_FILES $1"      CONFIG_FILES="$CONFIG_FILES $ac_optarg"
2368      ac_need_defaults=false;;      ac_need_defaults=false;;
2369    --header | --heade | --head | --hea )    --header | --heade | --head | --hea )
2370      shift      $ac_shift
2371      CONFIG_HEADERS="$CONFIG_HEADERS $1"      CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
2372      ac_need_defaults=false;;      ac_need_defaults=false;;
2373    
2374    # This is an error.    # This is an error.
# Line 2498  esac Line 2644  esac
2644  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
2645  # absolute.  # absolute.
2646  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
2647  ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`  ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
2648  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
2649  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
2650    
# Line 2638  esac Line 2784  esac
2784  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
2785  # absolute.  # absolute.
2786  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
2787  ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`  ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
2788  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
2789  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
2790    

Legend:
Removed from v.1.207  
changed lines
  Added in v.1.208

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26